PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package turret
  Definition Classes
    serverobject
- FacilityTurret
- FacilityTurretControl
- FacilityTurretDefinition
- TurretAmmoBox
- TurretDefinition
- TurretUpgrade
- TurretWeapon
- WeaponTurret
- WeaponTurrets

c

net.psforever.objects.serverobject.turret

# TurretWeapon

###

#### class TurretWeapon extends Tool

Source
  WeaponTurret.scala

Linear Supertypes
Tool, JammableUnit, FireModeSwitch[FireModeDefinition], Equipment, FactionAffinity, PlanetSideGameObject, WorldEntity, IdentifiableEntity, Identifiable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TurretWeapon
2. Tool
3. JammableUnit
4. FireModeSwitch
5. Equipment
6. FactionAffinity
7. PlanetSideGameObject
8. WorldEntity
9. IdentifiableEntity
10. Identifiable
11. AnyRef
12. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new TurretWeapon(mdef: TurretDefinition, udefs: Map[TurretUpgrade.Value, ToolDefinition], default: TurretUpgrade.Value = TurretUpgrade.None)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def AmmoSlot: FireModeSlot
   Definition Classes
     Tool
5.  def AmmoSlots: List[FireModeSlot]
   Definition Classes
     Tool
6.  def AmmoType: equipment.Ammo.Value
   Definition Classes
     Tool
7.  def AmmoTypeIndex: Int
   Definition Classes
     Tool
8.  def AmmoTypeIndex_=(index: Int): Int
   Definition Classes
     Tool
9.  def Definition: ToolDefinition
   Definition Classes
     TurretWeapon → Tool → Equipment → PlanetSideGameObject
10.  def Destroyed: Boolean
    Definition Classes
      PlanetSideGameObject
11.  def Destroyed_=(state: Boolean): Boolean
    Definition Classes
      PlanetSideGameObject
12.  def Discharge(rounds: Option[Int] = None): Int
    Definition Classes
      Tool
13.  def Entity: WorldEntity
    Definition Classes
      PlanetSideGameObject
14.  def Entity_=(newEntity: WorldEntity): Unit
    Definition Classes
      PlanetSideGameObject
15.  def Faction: types.PlanetSideEmpire.Value
    Definition Classes
      Equipment → FactionAffinity
16.  def Faction_=(fact: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
    Definition Classes
      Equipment → FactionAffinity
17.  def FireMode: FireModeDefinition
    Definition Classes
      Tool → FireModeSwitch
18.  def FireModeIndex: Int
    Definition Classes
      Tool → FireModeSwitch
19.  def FireModeIndex_=(index: Int): Int
    Definition Classes
      Tool → FireModeSwitch
20.  def GUID: PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
21.  def GUID_=(guid: PlanetSideGUID): PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
22.  def GUID_=(guid: StalePlanetSideGUID): PlanetSideGUID

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    guid

      the valid GUID to assign

    returns

      never returns

    Definition Classes
      IdentifiableEntity
    Exceptions thrown

      ``AssigningGUIDException`` always

23.  def HasGUID: Boolean

    Flag when the object has no GUID (initial condition) or is considered stale.

    Flag when the object has no GUID (initial condition) or is considered stale.

    returns

      whether the value of the GUID is a valid representation for this object

    Definition Classes
      IdentifiableEntity
24.  def Invalidate(): Unit

    Indicate that the current GUID is no longer a valid representation of the object.

    Indicate that the current GUID is no longer a valid representation of the object. Transforms whatever the current GUID is into a `StalePlanetSideGUID` entity with the same value. Doing this restores the object to its default mutation option ("the ability to set a new valid GUID"). The current GUID will still be accessed as if it were valid, but it will be wrapped in the new stale object.

    Definition Classes
      IdentifiableEntity
25.  def Jammed: Boolean
    Definition Classes
      JammableUnit
26.  def Jammed_=(state: Boolean): Boolean
    Definition Classes
      JammableUnit
27.  def LastDischarge: Long
    Definition Classes
      Tool
28.  def Magazine: Int
    Definition Classes
      Tool
29.  def Magazine_=(mag: Int): Int
    Definition Classes
      Tool
30.  def MaxAmmoSlot: Int
    Definition Classes
      Tool
31.  def MaxMagazine: Int
    Definition Classes
      Tool
32.  def NextAmmoType: equipment.Ammo.Value
    Definition Classes
      Tool
33.  def NextFireMode: FireModeDefinition
    Definition Classes
      Tool → FireModeSwitch
34.  def Orientation: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
35.  def Orientation_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
36.  def Position: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
37.  def Position_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
38.  def Projectile: ProjectileDefinition
    Definition Classes
      Tool
39.  def ProjectileType: ballistics.Projectiles.Value
    Definition Classes
      Tool
40.  def Size: equipment.EquipmentSize.Value
    Definition Classes
      Equipment
41.  def Tile: InventoryTile
    Definition Classes
      Equipment
42.  def ToFireMode: Int
    Definition Classes
      Tool
43.  def ToFireMode_=(index: Int): FireModeDefinition
    Definition Classes
      Tool
44.  def Upgrade: TurretUpgrade.Value
45.  def Upgrade_=(upgrade: TurretUpgrade.Value): TurretUpgrade.Value
46.  def Velocity: Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
47.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
48.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
49.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
50.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
51.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
52.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
53.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
54.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
55.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
56.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
57.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
58.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
59.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
60.  var lastDischarge: Long
    Definition Classes
      Tool
61.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
62.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
63.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
64.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
65.  def toString(): String
    Definition Classes
      Tool → Equipment → AnyRef → Any
66.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
67.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
68.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Tool

### Inherited from JammableUnit

### Inherited from FireModeSwitch[FireModeDefinition]

### Inherited from Equipment

### Inherited from FactionAffinity

### Inherited from PlanetSideGameObject

### Inherited from WorldEntity

### Inherited from IdentifiableEntity

### Inherited from Identifiable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped